<script src="./Script.js"></script>

<template>
  <ul class="pagination" v-if="pagination.total_pages > 1">
    <!-- <li class="paginate_button page-item page-detail"> 
      <span>
        {{ pagination.per_page * (pagination.current_page - 1) + 1 }} -
        {{ checkPage(pagination.current_page, pagination.total_pages) ? pagination.current_page * pagination.per_page : pagination.total_item }}
        của
        {{ pagination.total_item }}
      </span>
    </li> -->
    <li
      class="paginate_button page-item previous page-item-first"
      v-bind:class="{ disabled: pagination.current_page <= 1 || loader }"
    >
      <a href="#" @click.prevent="changePage(1)" class="page-link">
        <i class="la la-angle-double-left"></i>
      </a>
    </li>
    <li
      class="paginate_button page-item previous page-item-previous"
      v-bind:class="{ disabled: pagination.current_page <= 1 || loader }"
    >
      <a href="#" @click.prevent="changePage(pagination.current_page - 1)" class="page-link">
        <i class="la la-angle-left"></i>
      </a>
    </li>
    <li
      class="paginate_button page-item disabled page-range"
      v-if="pagination.current_page > 1 && pagination.total_pages > 5"
    >
      <span>...</span>
    </li>
    <li
      class="paginate_button page-item"
      v-for="(page, index) in pages"
      :key="index"
      v-bind:class="{ active: isCurrentPage(page) }"
    >
      <a href="#" class="page-link" @click.prevent="changePage(page)">{{ page }}</a>
    </li>
    <li
      class="paginate_button page-item disabled page-range"
      v-if="maxPage <= pagination.total_pages"
    >
      <span>...</span>
    </li>
    <li
      class="paginate_button page-item next page-item-next"
      v-bind:class="{ disabled: pagination.current_page >= pagination.total_pages || loader }"
    >
      <a href="#" class="page-link" @click.prevent="changePage(pagination.current_page + 1)">
        <i class="la la-angle-right"></i>
      </a>
    </li>
    <li
      class="paginate_button page-item previous page-item-last"
      v-bind:class="{ disabled:pagination.current_page >= pagination.total_pages || loader }"
    >
      <a href="#" @click.prevent="changePage(pagination.total_pages)" class="page-link">
        <i class="la la-angle-double-right"></i>
      </a>
    </li>
  </ul>
</template>
